
      subroutine create_m_matrix
      implicit doubleprecision (a-h,o-z)
      include 'arrays2.cm'

!     Create Master Equation M-Matrix
     
      rc_me=0.0d0
      rc_me_tot=0.0d0


!     The convension is that rc_me_tot(i_to,j_from)
!     unlike rc_tot(j_from,i_to)
!     That is why we need to traspose !!!


      do i=1,nbox_tot
        do j=1,nbox_tot
          rc_me_tot(i,j) = rc_tot(j,i)
        end do
      end do

!     rc_me_tot file is a diagonal matrix where diagonal is -kdown(above) - kup(below)
!     Rcs in ns-1

      rc_me_tot(1,1)=-rc_me_tot(2,1)
      do i=2,nbox_tot-1
        rc_me_tot(i,i)=-rc_me_tot(i-1,i)-rc_me_tot(i+1,i)
      end do
      rc_me_tot(nbox_tot,nbox_tot)=-rc_me_tot(nbox_tot-1,nbox_tot)

      open (file='rc_me_tot.out', unit=65, access ='sequential',
     & position ='append', action='write')   
!      write(65,*) "deltat = ", delt
!      write(65,*) "    "
      do i=1,nbox_tot
        do j=1,nbox_tot
!          write (65,6565) rc_me_tot(i,j)
!6565      format (1x,e12.5,$)
        end do
!        write (65,*) '    '
      end do

      return
      end