            
      subroutine modify_potential
      implicit doubleprecision (a-h,o-z)
      include 'arrays2.cm'

      call calculate_additional_potential_harm(deltat)	

      potential=potential

      return 
      end
       



      subroutine calculate_additional_potential_harm(deltat)
      implicit doubleprecision (a-h,o-z)
      include 'arrays2.cm'

      do ibox =1,nbox_tot             !nbox_tot is important here
        x(ibox) = box_center_tot(ibox)-(r0+(v*delt))
        if (x(ibox).lt.0) then
!
!    potential(ibox)  in in J/mole  Later it will be divided by RT in J/mole as well.
!            
          potential(ibox)=(force_constant*x(ibox)**2/2)*
     &(1d-22*6.0d23)
       else
          potential(ibox)=(force_constant*x(ibox)**2/2)*
     &(1d-22*6.0d23)
!          potential(ibox)=0.0d0
      end if
!         
!    Make sure that it is not too huge.         
!    potential_max is set in the input and added to commomn block in array2.cm  
!    The units of potential_max must be J/mole  and this is how it is set.         
!         

      potential(ibox)=(  (potential(ibox)+potential_max)  -
     &    dsqrt((potential(ibox)-potential_max)**2+4*a_split**2)  ) /2
          
          
         if (potential(ibox).ge.potential_max) then
           potential(ibox)=potential_max  
         end if    
         
         
        write(24,2423)  delt,ibox, potential(ibox)
 2423   format(e12.2,1x,i,3x,e16.8)  
      end do 

      return
      end

